apiVersion: pipelinesascode.tekton.dev/v1alpha1
kind: Repository
metadata:
 name: anataraj1-test-pac3
 namespace: test-pac-pipelines
spec:
 git_provider:
   secret:
     key: provider.token
     name: anataraj1-test-pac3
   type: gitlab
   url: 'https://gitlab.com'
   webhook_secret:
     key: webhook.secret
     name: anataraj1-test-pac3
 incoming:
   - secret:
       key: secret
       name: repo-incoming-secret
     targets:
       - main
     type: webhook-url
 url: 'https://gitlab.com/anataraj1/test-pac3'